<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [limitProductProduction](./bitburner.warehouseapi.limitproductproduction.md)

## WarehouseAPI.limitProductProduction() method

Limit product production.

**Signature:**

```typescript
limitProductProduction(divisionName: string, city: CityName, productName: string, qty: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division.


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city.


</td></tr>
<tr><td>

productName


</td><td>

string


</td><td>

Name of the product.


</td></tr>
<tr><td>

qty


</td><td>

number


</td><td>

Amount to limit to. Pass a negative value to remove the limit instead.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

